Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo
Class JDONullIdentityException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.jdo.JDOException
                      javax.jdo.JDOCanRetryException
                          javax.jdo.JDOUserException
                              javax.jdo.JDONullIdentityException

All Implemented Interfaces:
  java.io.Serializable

    public class JDONullIdentityException

extends JDOUserException

An instance of this class is thrown when attempting to create an object id when the object id constructor parameter is null. This might occur when creating an object id instance from a transient instance where an identity field is null.

Since:
  2.0
Version:
  2.0
See Also:
  Serialized Form

Constructor Summary
`JDONullIdentityException()` Constructs a new `JDONullIdentityException` without a detail message.
`JDONullIdentityException(java.lang.String msg)` Constructs a new `JDONullIdentityException` with the specified detail message.
`JDONullIdentityException(java.lang.String msg, java.lang.Object failed)` Constructs a new `JDONullIdentityException` with the specified detail message and failed object.
`JDONullIdentityException(java.lang.String msg, java.lang.Throwable nested)` Constructs a new `JDONullIdentityException` with the specified detail message and nested `Throwable`s.
`JDONullIdentityException(java.lang.String msg, java.lang.Throwable[] nested)` Constructs a new `JDONullIdentityException` with the specified detail message and nested `Throwable`s.

Method Summary

Methods inherited from class javax.jdo.JDOException
`getCause, getFailedObject, getNestedExceptions, initCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JDONullIdentityException

    public JDONullIdentityException()

  Constructs a new `JDONullIdentityException` without a detail message.

### JDONullIdentityException

    public JDONullIdentityException(java.lang.String msg)

  Constructs a new `JDONullIdentityException` with the specified detail message.

  Parameters:
    `msg` - the detail message.

### JDONullIdentityException

    public JDONullIdentityException(java.lang.String msg,
                                    java.lang.Object failed)

  Constructs a new `JDONullIdentityException` with the specified detail message and failed object.

  Parameters:
    `msg` - the detail message.
    `failed` - the failed object.

### JDONullIdentityException

    public JDONullIdentityException(java.lang.String msg,
                                    java.lang.Throwable[] nested)

  Constructs a new `JDONullIdentityException` with the specified detail message and nested `Throwable`s.

  Parameters:
    `msg` - the detail message.
    `nested` - the nested `Throwable[]`.

### JDONullIdentityException

    public JDONullIdentityException(java.lang.String msg,
                                    java.lang.Throwable nested)

  Constructs a new `JDONullIdentityException` with the specified detail message and nested `Throwable`s.

  Parameters:
    `msg` - the detail message.
    `nested` - the nested `Throwable`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.